

(defpackage :3b-swf (:use :cl))

(defpackage #:avm2-asm
  (:use #:cl)
  (:export #:assemble
           #:assemble-method-body))

(defpackage #:avm2-opcodes
  (:use :cl)
  (:export
   #:breakpoint
   #:nop
   #:op-throw
   #:get-super
   #:set-super
   #:dxns
   #:dxnslate
   #:kill
   #:label
   #:if-nlt
   #:if-nle
   #:if-ngt
   #:if-nge
   #:jump
   #:if-true
   #:if-false
   #:if-eq
   #:if-ne
   #:if-lt
   #:if-le
   #:if-gt
   #:if-ge
   #:if-strict-eq
   #:if-strict-ne
   #:lookup-switch
   #:push-with
   #:pop-scope
   #:next-name
   #:has-next
   #:push-null
   #:push-undefined
   #:next-value
   #:push-byte
   #:push-short
   #:push-true
   #:push-false
   #:push-nan
   #:pop
   #:dup
   #:swap
   #:push-string
   #:push-int
   #:push-uint
   #:push-double
   #:push-scope
   #:push-namespace
   #:has-next-2
   #:new-function
   #:call
   #:construct
   #:call-method
   #:call-static
   #:call-super
   #:call-property
   #:return-void
   #:return-value
   #:construct-super
   #:construct-prop
   #:call-prop-lex
   #:call-super-void
   #:call-prop-void
   #:new-object
   #:new-array
   #:new-activation
   #:new-class
   #:get-descendants
   #:new-catch
   #:find-property-strict
   #:find-property
   #:find-def
   #:get-lex
   #:set-property
   #:get-local
   #:set-local
   #:get-global-scope
   #:get-scope-object
   #:get-property
   #:init-property
   #:delete-property
   #:get-slot
   #:set-slot
   #:get-global-slot
   #:set-global-slot
   #:convert-string
   #:esc_xattr
   #:esc_xelem
   #:convert-integer
   #:convert-unsigned
   #:convert-double
   #:convert-boolean
   #:convert-object
   #:check-filter
   #:coerce
   #:coerce-b
   #:coerce-any
   #:coerce-i
   #:coerce-d
   #:coerce-string
   #:as-type
   #:as-type-late
   #:coerce-u
   #:coerce-object
   #:negate
   #:increment
   #:inc-local
   #:decrement
   #:dec-local
   #:type-of
   #:not
   #:bit-not
   #:add
   #:multiply
   #:divide
   #:modulo
   #:lshift
   #:rshift
   #:unsigned-rshift
   #:bit-and
   #:bit-or
   #:bit-xor
   #:subtract
   #:equals
   #:strict-equals
   #:less-than
   #:less-equals
   #:greater-than
   #:greater-equals
   #:instance-of
   #:is-type
   #:is-type-late
   #:in
   #:increment-i
   #:decrement-i
   #:inc-local-i
   #:dec-local-i
   #:negate-i
   #:add-i
   #:subtract-i
   #:multiply-i
   #:get-local-0
   #:get-local-1
   #:get-local-2
   #:get-local-3
   #:set-local-0
   #:set-local-1
   #:set-local-2
   #:set-local-3
   #:debug
   #:debug-line
   #:debug-file
   ;;#:breakpoint-line
   #:timestamp))

